about summary refs log tree commit diff
path: root/pkgs/development/libraries/glibc-2.10/builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/development/libraries/glibc-2.10/builder.sh')
-rw-r--r--pkgs/development/libraries/glibc-2.10/builder.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/pkgs/development/libraries/glibc-2.10/builder.sh b/pkgs/development/libraries/glibc-2.10/builder.sh
new file mode 100644
index 000000000000..fc1ea2f83eb8
--- /dev/null
+++ b/pkgs/development/libraries/glibc-2.10/builder.sh
@@ -0,0 +1,33 @@
+# Glibc cannot have itself in its RPATH.
+export NIX_NO_SELF_RPATH=1
+
+source $stdenv/setup
+
+postConfigure() {
+    # Hack: get rid of the `-static' flag set by the bootstrap stdenv.
+    # This has to be done *after* `configure' because it builds some
+    # test binaries.
+    export NIX_CFLAGS_LINK=
+    export NIX_LDFLAGS_BEFORE=
+
+    export NIX_DONT_SET_RPATH=1
+    unset CFLAGS
+}
+
+
+postInstall() {
+    if test -n "$installLocales"; then
+        make localedata/install-locales
+    fi
+    test -f $out/etc/ld.so.cache && rm $out/etc/ld.so.cache
+    (cd $out/include && ln -s $kernelHeaders/include/* .) || exit 1
+
+    # Fix for NIXOS-54 (ldd not working on x86_64).  Make a symlink
+    # "lib64" to "lib".
+    if test -n "$is64bit"; then
+        ln -s lib $out/lib64
+    fi
+}
+
+
+genericBuild